Summary:	Cursor library on top of libxcb
Name:		xcb-util-cursor
Version:	0.1.4
Release:	1%{?dist}
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	make, gcc
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8, pkgconfig(xcb-render), pkgconfig(xcb-renderutil), pkgconfig(xcb-image)
BuildRequires:	m4

%description
XCB util-cursor module provides the following libraries:
.
  - cursor: port of libxcursor

%package	devel
Summary:	Development and header files for xcb-util-cursos
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-cursor.


%prep
%setup -q


%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build

%check
make check


%install
%make_install
rm %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*


%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 0.1.4-1
- Init 
